# abstract UInt16Array(ArrayBufferView)

#### package lime.utils

#### from ArrayBufferView to ArrayBufferView

Available on all platforms

### Constructor

###

`inline new<T> (?elements:Int, ?buffer:ArrayBuffer, ?array:Array<T>, ?vector:Vector<Int>, ?view:ArrayBufferView, byteoffset:Int = 0, ?len:Int)`

### Variables

###

`read onlylength:Int`

### Methods

###

`inline __get (idx:Int):Null<UInt>`

###

`inline __set (idx:Int, val:UInt):UInt`

###

`inline subarray (begin:Int, ?end:Int):UInt16Array`

###

`inline toBytes ():Bytes`

### Static variables

###

`staticinline read onlyBYTES_PER_ELEMENT:Int = 2`

### Static methods

###

`staticinline fromBytes (bytes:Bytes, byteOffset:Int = 0, ?len:Int):UInt16Array`